package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PerencanaanPulangVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@Caption(value = "Object antrianPasienDiPeriksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;

	@Column(name = "ObjectantrianPasienDiPeriksaFk", insertable = false, updatable = false,nullable=false)
	private String antrianPasienDiPeriksaId;

	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "perencanaanPulang")
	@Caption(value = "komponenPenilaianDetailSet")
	private Set<KomponenPenilaianDetailVO> komponenPenilaianDetailSet=new HashSet<KomponenPenilaianDetailVO>();

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}

	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}

	public Set<KomponenPenilaianDetailVO> getKomponenPenilaianDetailSet() {
		return komponenPenilaianDetailSet;
	}

	public void setKomponenPenilaianDetailSet(Set<KomponenPenilaianDetailVO> komponenPenilaianDetailSet) {
		this.komponenPenilaianDetailSet = komponenPenilaianDetailSet;
	}

}
